{ pkgs, ... }:
{
  wayland.windowManager.sway.config = {
    bars = [{ command = "waybar"; }];

    startup = [
      # Lock on startup
      { command = "swaylock"; }

      # Scratchpads
      { command = "foot -a gotop -T Gotop gotop"; }
      { command = "foot -a music -T Music ncmpcpp"; }
      { command = "foot -a sound -T Sound pulsemixer"; }
      { command = "easyeffects"; }

      # Daemons and tray apps
      { command = "wl-paste -t text --watch clipman store -P"; }
      { command = "wl-copy"; }
      { command = "mako"; }
      { command = "sunshine"; }

      # Polkit agent
      { command = "${pkgs.mate.mate-polkit}/libexec/polkit-mate-authentication-agent-1"; }

      # Foreground apps
      { command = "librewolf -P Misc --name=MiscBrowser"; }
      { command = "vesktop"; }
      { command = "fractal"; }
      { command = "telegram-desktop"; }
      { command = "thunderbird"; }
    ];
  };
}
